Bug 251022 - gam_server segfaults
gam_server segfaults
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gamin (Show other bugs)
4.5
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-06 11:39 EDT by Craig Magina
Modified: 2015-03-03 17:31 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 01:50:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig Magina 2007-08-06 11:39:43 EDT
Description of problem:

kernel: gam_server[24829]: segfault at
0000000000000027 rip 0000003bdf8234f4 rsp 0000007fbfffe2e0 error 4

Version-Release number of selected component (if applicable):

gamin-0.1.7-1.2.EL4

How reproducible:

Haven't been able to reproduce.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Leif Walsh 2008-12-21 04:49:07 EST
Don't know if this is related, but I'm getting a similar kernel message after the cpu goes nuts and my memory's almost fully used.  Using gamin-0.19-6.fc10 on Fedora 10 with updates-testing, and I get the following kernel messages:

gam_server[12680]: segfault at e ip 006b0130 sp bfa43cd0 error 4 in libglib-2.0.so.0.1800.3[65a000+e2000]
BUG: unable to handle kernel NULL pointer dereference at 00000084
IP: [<f92b11a4>] :i915:i915_driver_irq_handler+0x14f/0x1cf
*pde = 7c22a067 
Oops: 0000 [#1] SMP 
Modules linked in: fuse i915 drm ipv6 cpufreq_ondemand acpi_cpufreq dm_multipath uinput snd_hda_intel snd_seq_dummy snd_seq_oss arc4 ecb snd_seq_midi_event snd_seq crypto_blkcipher snd_seq_device iwlagn snd_pcm_oss iwlcore snd_mixer_oss thinkpad_acpi snd_pcm rfkill e1000e hwmon snd_timer snd_page_alloc ata_generic snd_hwdep snd i2c_i801 mac80211 pata_acpi i2c_core wmi video output soundcore cfg80211 scsi_wait_scan

Pid: 2099, comm: Xorg Not tainted (2.6.27.7-134.fc10.i686 #1)
EIP: 0060:[<f92b11a4>] EFLAGS: 00013082 CPU: 1
EIP is at i915_driver_irq_handler+0x14f/0x1cf [i915]
EAX: 00000000 EBX: 00000000 ECX: f5224018 EDX: f92a8898
ESI: f50ef000 EDI: f534d000 EBP: f537aee0 ESP: f537aeb4
 DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process Xorg (pid: 2099, ti=f537a000 task=f52a8000 task.ti=f537a000)
Stack: f50ef094 f50ef084 f5224018 00000000 00000000 00000004 00000004 00000000 
       00003282 f23c75c0 00000010 f537af00 c0463428 f534d000 c08035b0 00003216 
       f534d014 00000001 f534d000 f537af14 f951e61a f534d000 00000000 0000645a 
Call Trace:
 [<c0463428>] ? free_irq+0xd9/0x130
 [<f951e61a>] ? drm_irq_uninstall+0x81/0x92 [drm]
 [<f92b4da0>] ? i915_gem_leavevt_ioctl+0x15/0x1b [i915]
 [<f951c5f8>] ? drm_ioctl+0x1b0/0x225 [drm]
 [<f92b4d8b>] ? i915_gem_leavevt_ioctl+0x0/0x1b [i915]
 [<c049a270>] ? vfs_ioctl+0x50/0x69
 [<c049a4d3>] ? do_vfs_ioctl+0x24a/0x25d
 [<c04f7cbc>] ? selinux_file_ioctl+0x35/0x38
 [<c049a526>] ? sys_ioctl+0x40/0x5a
 [<c0403c76>] ? syscall_call+0x7/0xb
 =======================
Code: db 0f 84 99 00 00 00 8b 46 04 8b 55 e0 05 a4 20 00 00 89 10 8b 46 04 05 a4 20 00 00 8b 18 8b 4d dc 8b 51 04 85 d2 74 0f 8b 46 44 <8b> 80 84 00 00 00 89 82 08 08 00 00 f6 45 e0 02 74 22 89 f8 e8 
EIP: [<f92b11a4>] i915_driver_irq_handler+0x14f/0x1cf [i915] SS:ESP 0068:f537aeb4
---[ end trace 1862d9fce156a0ff ]---
[drm:drm_release] *ERROR* Device busy: 1
gam_server[14992]: segfault at d ip 006b0130 sp bfbe0670 error 4 in libglib-2.0.so.0.1800.3[65a000+e2000]

Note You need to log in before you can comment on or make changes to this bug.